import _Modal from "antd/es/modal";
import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
var Modal = function Modal(props) {
  var innerProps = {};
  if (props.__designMode === 'design') {
    // 低代码编辑态中强制显示，将控制权交给引擎侧
    innerProps.visible = true;
  }
  return /*#__PURE__*/React.createElement(_Modal, _extends({}, props, innerProps));
};
Modal.info = _Modal.info;
Modal.success = _Modal.success;
Modal.error = _Modal.error;
Modal.warning = _Modal.warning;
Modal.warn = _Modal.warn;
Modal.confirm = _Modal.confirm;
export default Modal;